> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catchthegoodones.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List DM Templates

> Returns all DM templates for the authenticated user

Returns all DM templates for the authenticated user.

### Headers

| Header          | Required | Description                     |
| --------------- | -------- | ------------------------------- |
| `Authorization` | Yes      | `Bearer ctgo_your_api_key_here` |

### Example

```bash theme={null}
curl https://www.catchthegoodones.com/api/v2/dm-templates \
  -H "Authorization: Bearer ctgo_your_api_key_here"
```

### Response

<ResponseExample>
  ```json 200 theme={null}
  {
    "templates": [
      {
        "id": 1,
        "name": "Intro message",
        "messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
        "createdAt": "2026-04-10T12:00:00.000Z",
        "updatedAt": "2026-04-10T12:00:00.000Z"
      }
    ]
  }
  ```
</ResponseExample>
